Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticket_id
string
required

The ID of the ticket

Body

application/json
status
enum<string>

The status of the support ticket.

Available options:
open,
solved
collaborator_ids
string[]

A list of collaborators uuids for the ticket.

collaborators_replace
boolean

Whether or not should replace ticket collaborators with the provided values. If false, the collaborators will be appended.

Response

Success.

The support ticket object.

ticket_id
integer

The ID of the ticket.

created
string<date-time>

The time when the support ticket was created.

updated
string<date-time>

The time when the support ticket was updated.

type
enum<string>

A type of the ticket.

Available options:
problem,
task,
incident,
question
subject
string

A title of the ticket.

description
string

The description body of the support ticket.

priority
enum<string>

A priority of the ticket.

Available options:
low,
normal,
high,
urgent
followup_tid
string

Followup ticket ID. The unique ID of the ticket which this ticket is a follow-up to.

status
enum<string>

The status of the support ticket.

Available options:
closed,
deleted,
hold,
new,
open,
pending,
solved
recipient
string

Email address of the ticket recipient, defaults to support@upsun.com.

requester_id
string<uuid>

UUID of the ticket requester.

submitter_id
string<uuid>

UUID of the ticket submitter.

assignee_id
string<uuid>

UUID of the ticket assignee.

organization_id
string

A reference id that is usable to find the commerce license.

collaborator_ids
string[]

A list of the collaborators uuids for this ticket.

has_incidents
boolean

Whether or not this ticket has incidents.

due
string<date-time>

A time that the ticket is due at.

tags
string[]

A list of tags assigned to the ticket.

subscription_id
string

The internal ID of the subscription.

ticket_group
string

Maps to zendesk field 'Request group'.

support_plan
string

Maps to zendesk field 'The support plan associated with this ticket.

affected_url
string<url>

The affected URL associated with the support ticket.

queue
string

The queue the support ticket is in.

issue_type
string

The issue type of the support ticket.

resolution_time
string<date-time>

Maps to zendesk field 'Resolution Time'.

response_time
string<date-time>

Maps to zendesk field 'Response Time (time from request to reply).

project_url
string<url>

Maps to zendesk field 'Project URL'.

region
string

Maps to zendesk field 'Region'.

category
enum<string>

Maps to zendesk field 'Category'.

Available options:
access,
billing_question,
complaint,
compliance_question,
configuration_change,
general_question,
incident_outage,
bug_report,
onboarding,
report_a_gui_bug,
close_my_account
environment
enum<string>

Maps to zendesk field 'Environment'.

Available options:
env_development,
env_staging,
env_production
ticket_sharing_status
enum<string>

Maps to zendesk field 'Ticket Sharing Status'.

Available options:
ts_sent_to_platform,
ts_accepted_by_platform,
ts_returned_from_platform,
ts_solved_by_platform,
ts_rejected_by_platform
application_ticket_url
string<url>

Maps to zendesk field 'Application Ticket URL'.

infrastructure_ticket_url
string<url>

Maps to zendesk field 'Infrastructure Ticket URL'.

jira
object[]

A list of JIRA issues related to the support ticket.

zd_ticket_url
string<url>

URL to the customer-facing ticket in Zendesk.

Last modified on August 7, 2026